org.multiverse.api.exceptions

## Class ReadonlyException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.multiverse.api.exceptions.TxnExecutionException
        - - org.multiverse.api.exceptions.IllegalTxnStateException
          - - org.multiverse.api.exceptions.ReadonlyException

All Implemented Interfaces:
  java.io.Serializable

    public class ReadonlyException
    extends IllegalTxnStateException

An `IllegalTxnStateException` thrown when a write action is executed using a readonly `Txn`.

See Also:
  `TxnFactoryBuilder.setReadonly(boolean)`, Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ReadonlyException(java.lang.String message)` Creates a new ReadonlyException.
`ReadonlyException(java.lang.String message, java.lang.Throwable cause)` Creates a new ReadonlyException.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ReadonlyException

    public ReadonlyException(java.lang.String message)

Creates a new ReadonlyException.

Parameters:
  `message` - the message of the exception.

#### ReadonlyException

    public ReadonlyException(java.lang.String message,
                     java.lang.Throwable cause)

Creates a new ReadonlyException.

Parameters:
  `message` - the message of the exception.
  `cause` - the cause of the exception.